[Bug 251626] math/py-numpy: Update to 1.20.3 (compatible with Python 3.9)

From: <bugzilla-noreply_at_freebsd.org>
Date: Wed, 21 Jul 2021 08:56:33 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=251626

--- Comment #41 from Thierry Thomas <thierry_at_FreeBSD.org> ---
(In reply to Kubilay Kocak from comment #40)

There is many points in your comment.

For what I'm concerned with:

- the proposed patch (the latest, of course) is OK for the ports I tested, but
of course I have not tested all of them, and an exp-run is necessary (you asked
Antoine to stop it)

- for what I'm seeing, most ports are limiting to a version unnecessarily, just
because they have not been tested with a higher version. If we remove shared
macros for ports like numpy, it means that we must support several versions of
these ports, like py-numpy-legacy and py-numpy, without conflicts.

- I do not see any value in auto-plist, excepted lazy-porting, but if you want
it, just do it, you are the maintainer. I have not been able to make it work
with autoplist, this is why I have generated a static one.

-- 
You are receiving this mail because:
You are the assignee for the bug.
You are on the CC list for the bug.
Received on Wed Jul 21 2021 - 08:56:33 UTC

Original text of this message